• FirefoxUpgrade to the new Firefox »
  • Download Yahoo Toolbar
    We're sorry. This version of Yahoo Toolbar requires Windows 2000 or later. It will not work on your system.

    Tame the Web!

    Surf the Web safely, easily, and conveniently.

    What do I need to run Yahoo Toolbar?


    Windows Users

    System Requirements:
    • Windows 2000 or Higher
    Browser requirements (You need one of these):
    • Internet Explorer (version 6.0 or higher)
    • Firefox (version 1.5 or higher)

    Click here to upgrade to IE8 and get Yahoo Toolbar.

    Mac and Linux users

    You need Firefox 1.5 or higher













    International Users

    Select your country:

    System Requirements

    • Internet Explorer 6.0 or later and Windows 2000 or later
    • Firefox UsersYahoo Toolbar is also available for Firefox on Windows, Mac, and Linux.To install Yahoo Toolbar for Firefox, just come back to this page with your Firefox browser.

    FORUMS & FEATURES

    We'd love to hear from you. Talk to us on the Yahoo Toolbar Message Board | Got a question about Yahoo Toolbar? Ask it at Yahoo Answers.

    Copyright © 2010 Yahoo Inc. All rights reserved. About Our Ads Copyright/IP Policy Terms of Service


    NOTICE: We collect personal information on this site. To learn more about how we use your information, see our Privacy Policy